import java.io.*;
import java.util.*;

public class MediaRentalSystem {

	public static void main(String[] args) {
		
		Scanner console = new Scanner(System.in);
		Manager manager = new Manager();
		
		while(true) {
			System.out.println("Welcome to Media Rental System ");
			System.out.println("1: Load Media objects...");
			System.out.println("2: Find Media object...");
			System.out.println("3: Rent Media object...");
			System.out.println("9: Quit");
			
			System.out.println();
			
			System.out.print("Enter your selection : ");
			String choice = console.nextLine();
			
			System.out.println();
			
			if(choice.equals("1")) {
				System.out.print("Enter path (directory) where to load from:");
				String filePath = console.nextLine();
				if(manager.createMediaFiles(filePath + "\\EBook.txt") && manager.createMediaFiles(filePath + "\\MusicCD.txt") &&manager.createMediaFiles(filePath + "\\MovieDVD.txt"))
				{
					
				}
				System.out.println();
			} else if(choice.equals("2")) {
				
				System.out.print("Enter the title:");
				String name = console.nextLine();
				
				System.out.println();
				
				ArrayList<Media> filteredMedia = manager.findMedia(name);
				if(filteredMedia.size() == 0)
					System.out.println("There is no media with this title: " + name);
				else
				{
					for (int i = 0; i < filteredMedia.size(); i++) {
						System.out.println(filteredMedia.get(i).toPrintString());
					}
				}
				
				System.out.println();
				
			} else if(choice.equals("3")) {
				System.out.print("Enter the id:");
				String idSTR = console.nextLine();
				int id = Integer.parseInt(idSTR);
				System.out.println();
				manager.rentMedia(id);
				System.out.println();
				
			} else if(choice.equals("9")) {
				System.out.println("Thank you for using the program. Goodbye!");
				break;
			} 
		}
	}
}